
Figure - Bug #112002
【Figure】【EVT】【电气性能】E04 抛负载：试验中，WiFi，蓝牙，视频和以太网功能失效，试验后，重新上
电操作，WiFi，蓝牙，视频和以太网功能正常。
2022-09-16 15:16 - SZ HW Test-曾小文

Status: CLOSED Start date: 2022-09-16

Priority: High Due date: 2022-09-28

Assignee: SZ-硬件二组_SD3 王苗 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: 依赖硬件的bugList

Need_Info: -- Found Version: 2022.08.25

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: 过压欠压保护功能不完善导致，目前修改代码已经完成。

Description

需要增加记忆功能，能自动恢复

History

#1 - 2022-09-16 15:38 - CD BSP-唐金泽

- File Q／HH-TS002-2022_电子电气零部件环境可靠性规范.pdf added

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-唐金泽 to CD BSP-陈杰

CLASS C:要求所有功能能自动恢复，CLASS A：要求无任何异常

硬件要求16V保护，27V保护后电压下降到16V以内，要求所有功能能自动恢复，但是实际上要手动开关机恢复

超过9~16V保护，保护解除后自动恢复

#2 - 2022-09-26 10:57 - CD BSP-陈杰

- Due date set to 2022-09-28

- % Done changed from 0 to 80

目前已经完成过压欠压保护得功能开发，本地测试已完成。现在未集成记忆功能，classC中得恢复断电前得功能未包含，classA已经包含。

#3 - 2022-09-26 16:01 - CD BSP-陈杰

- File FigureApp.mot added

#4 - 2022-09-27 11:22 - 物联网项目组-RD3_CDTS 周飞

- Target version set to 依赖硬件的bugList

#5 - 2022-10-18 10:08 - CD BSP-陈杰

- File FigureV0.0.1.20221013.1.mot added

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-陈杰 to SZ-硬件二组_SD3 王苗

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No
- Root cause set to 过压欠压保护功能不完善导致，目前修改代码已经完成。

已经在实验室测试通过，待出报告

#6 - 2022-10-21 13:50 - SZ HW Test-曾小文

- Status changed from RESOLVED to VERIFIED

12V风扇改成5V风扇，增加记忆功能后，王苗在中认联实验室复测PASS

#7 - 2022-10-21 13:51 - SZ HW Test-曾小文

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152609 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on

and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:

1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

Iacb3bbd40b9278405f21f5d34d741dfe08c3c4ff

#9 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152787 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com
BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is V0.0.1, which is the initial version. Implementation function:1.

Increase the power-on sequence2. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:

1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

I047b1483f36d87a7a080b1470eb836cbc620a06e

#10 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154928 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase

theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen

is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions.TC-RID:

1201-0102701TC-RID: 1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID:

TS-R-BUG-112002IssueID: TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID:

TS-R-DF-110664Change-Id: I0c7022c0c6e09e54f1b390deb1fb0df27ece4a38
Files

Q／HH-TS002-2022_电子电气零部件环境可靠性规范.pdf 4.23 MB 2022-09-16 CD BSP-唐金泽

FigureApp.mot 77.5 KB 2022-09-26 CD BSP-陈杰

FigureV0.0.1.20221013.1.mot 299 KB 2022-10-18 CD BSP-陈杰
